Summary: Fish Fillets Next Generation, a puzzle game with 70 levels
Name: fillets-ng
Version: 0.8.1
Release: 2%{?dist}
License: GPLv2+
Group: Amusements/Games
URL: http://fillets.sourceforge.net/
Source0: http://downloads.sf.net/fillets/fillets-ng-%{version}.tar.gz
Source1: fillets.desktop
Source2: fillets.png
Patch0: fillets-ng-0.8.1-gcc43.patch
Patch1: fillets-ng-0.8.0-fribidi.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: fillets-ng-data >= 0.8.1
BuildRequires: SDL-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_ttf-devel
BuildRequires: lua-devel
BuildRequires: fribidi-devel
BuildRequires: desktop-file-utils
Requires(post): coreutils
Requires(postun): coreutils

%description
Fish Fillets is strictly a puzzle game. The goal in every of the
seventy levels is always the same: find a safe way out. The fish utter
witty remarks about their surroundings, the various inhabitants of
their underwater realm quarrel among themselves or comment on the
efforts of your fish. The whole game is accompanied by quiet,
comforting music.


%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .fribidi


%build
%configure --datadir=%{_datadir}/fillets-ng
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Install desktop file
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
    --vendor="" \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

# Install themeable icon
%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/fillets.png


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/fillets
%{_datadir}/applications/fillets.desktop
%{_datadir}/icons/hicolor/32x32/apps/fillets.png
%{_mandir}/man6/fillets.6*


%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Matthias Saou <http://freshrpms.net/> 0.8.1-1
- Update to 0.8.1.
- Update gcc43 patch (still applied with fuzz, but...).
- Add LogicGame category to the desktop file (#485349).

* Mon Dec 22 2008 Matthias Saou <http://freshrpms.net/> 0.8.0-2
- Add coreutils requirement for scriplets (#475931).
- Enclose gtk-update-icon-cache scriplet calls in "ifs".

* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 0.8.0-1
- Update to 0.8.0.
- Include patch to fix build with gcc 4.3.
- Include patch to fix build with fribidi 0.19.1.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.7.4-3
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 0.7.4-2
- Update License field.

* Wed Jun 20 2007 Matthias Saou <http://freshrpms.net/> 0.7.4-1
- Update to 0.7.4.
- Switch to using downloads.sf.net source URL.
- Switch to using the DESTDIR install method.
- Remove the fedora desktop file prefix.
- Remove all patches, no longer required, don't autoreconf anymore either.
- Force datadir to be the new location of our fillets-ng-data package's files.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.7.3-5
- FC6 rebuild.
- Add libX11 patch, link against X11 even when SDL isn't (#204594, #204600).

* Wed May 31 2006 Matthias Saou <http://freshrpms.net/> 0.7.3-4
- Add patch to change lua detection from lua-config to pkgconfig since the
  latest lua packages no longer provide the config script.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.7.3-3
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.7.3-2
- Rebuild for new gcc/glibc.

* Wed Oct 12 2005 Matthias Saou <http://freshrpms.net/> 0.7.3-1
- Update to 0.7.3.
- Enable fribidi support.

* Tue Aug 23 2005 Richard Henderson <rth@redhat.com> 0.7.1-1
- Update to version 0.7.1.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.6.0-2
- rebuilt

* Tue Feb  1 2005 Matthias Saou <http://freshrpms.net/> 0.6.0-1
- Split sources into separate source rpms (for data to be noarch).
- Minor spec file tweaks.
- Include icon from 0.6.1 data for the desktop entry.
- Remove unneeded explicit vorbis dependency.
- Added update-desktop-database calls.

* Sun Aug 22 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.5.1 for Fedora Core 2

* Thu Jul 15 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.4.1 for Fedora Core 2

* Thu Jul 15 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- rebuild 0.4 for Fedora Core 2

* Mon May 10 2004 Michal Ambroz (O_O) <rebus@seznam.cz>
- initial build for Fedora Core 2

